@mattab opened this issue on February 1st 2014

As of Piwik 2.0, Piwik has been rewritten to use the latest technologies (PHP 5.3, namespaces, twig, etc.). All plugins available for Piwik 1.x have to be rewritten. Often the changes are minor, but still takes any developer at least a few hours to convert it.

We hope that all plugins developers will take the time to update their plugin to work with Piwik 2!

Steps: - Contact all plugin developers from Third Party Plugins Piwik 1.x to convert the plugin to Piwik 2 - Then distribute it on the Marketplace so that all Piwik users can install the plugin in two clicks from their Piwik. - Close the tickets in Piwik trac - Message invites dev to upgrade to Piwik 2 - Explain Piwik marketplace is now used to release plugins - See the full list all plugins for Piwik 1.x.

Website - Update FAQ: http://piwik.org/faq/plugins/

@mattab commented on February 1st 2014

Consolidating milestones FTW

This issue was closed on February 18th 2014
Powered by GitHub Issue Mirror